{"id":58952,"date":"2023-09-02T11:13:14","date_gmt":"2023-09-02T10:13:14","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=58952"},"modified":"2023-10-16T07:11:55","modified_gmt":"2023-10-16T06:11:55","slug":"get-the-execution-status-and-summary-of-a-test-suite-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-the-execution-status-and-summary-of-a-test-suite-api\/","title":{"rendered":"Get the Execution Status and Summary of a Test Suite API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\"><div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">To get the status of the Conversation Test Suite Execution request against a unique <b><i>testSuiteId<\/i><\/b> if the request is in progress, and provide the download link for the results file after the test execution is complete.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td><span style=\"font-weight: 400;\">GET<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/:testSuiteName\/:testRunId\/status<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p><span style=\"font-weight: 400;\">See <\/span><a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\"><span style=\"font-weight: 400;\">How to generate the JWT Token<\/span><\/a><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Bot Builder: Conversation Tests Execution<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Admin Console: Conversation Tests Execution<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\"><b>host<\/b><\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL. For example,<code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>StreamID<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The \u00a0<i>Stream ID<\/i> can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>testSuiteName<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The name of the Test Suite.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>testRunId<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The ID of the test run to track the execution status.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre class=\"code-limit-200px\">curl --location --request GET \\\r\n  'https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/:testSuiteName\/:testRunId\/status' \\\r\n    --header 'auth: {jwt-token}' \\\r\n    --header 'bot-language: {language-code}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\"><span style=\"font-weight: 400;\">Body Parameters<\/span><\/span><\/h2>\n<p>No Body parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<ul>\n<li>When the request in in progress.<\/li>\n<\/ul>\n<pre class=\"code-limit-200px\">{\r\n    \"_id\": \"ctr-80xxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxb\",\r\n    \"streamId\": \"st-4xxxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0\",\r\n    \"testSuiteId\": \"ctc-3xxxxxx5-6xxf-5xxb-bxx8-04xxxxxxxxxc\",\r\n    \"status\": \"inprogress\",\r\n    \"totalTestStepsCount\": 13,\r\n    \"result\": {\r\n        \"nlpVersion\": [],\r\n        \"startTime\": \"2023-08-23T10:14:13.330Z\",\r\n        \"version\": \"configured\",\r\n        \"status\": \"inprogress\"\r\n    },\r\n    \"percentageCompleted\": 85\r\n}<\/pre>\n<ul>\n<li>When the request is completed.<\/li>\n<\/ul>\n<pre class=\"code-limit-400px\">{\r\n    \"_id\": \"ctr-8xxxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxb\",\r\n    \"streamId\": \"st-4xxxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0\",\r\n    \"testSuiteId\": \"ctc-3xxxxxx5-6xxf-5xxb-bxx8-04xxxxxxxxxc\",\r\n    \"status\": \"passed\",\r\n    \"totalTestStepsCount\": 13,\r\n    \"result\": {\r\n        \"nlpVersion\": [\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\",\r\n            \"v3\"\r\n        ],\r\n        \"startTime\": \"2023-08-23T10:14:13.330Z\",\r\n        \"version\": \"configured\",\r\n        \"status\": \"passed\",\r\n        \"stepDetails\": {\r\n            \"passed\": 13,\r\n            \"failed\": 0,\r\n            \"total\": 13\r\n        },\r\n        \"errorDetails\": null,\r\n        \"executionResults\": [            {\r\n                \"actualOutput\": [\r\n                    {\r\n                        \"text\": \"asdasd\",\r\n                        \"nodeId\": \"\",\r\n                        \"componentType\": \"\",\r\n                        \"intentId\": \"\",\r\n                        \"nodeName\": \"\",\r\n                        \"intentType\": \"\",\r\n                        \"taskId\": \"\",\r\n                        \"dialogName\": \"\",\r\n                        \"transitions\": [],\r\n                        \"transitionNodeNames\": [],\r\n                        \"transitionNodeType\": [],\r\n                        \"assertions\": {\r\n                            \"flowLevel\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            },\r\n                            \"text\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"text\": \"asdasd\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"context\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            }\r\n                        }\r\n                    }\r\n                ],\r\n                \"intents\": [],\r\n                \"faqs\": [],\r\n                \"smalltalk\": [],\r\n                \"input\": \"Start_Flow\",\r\n                \"outputs\": [\r\n                    {\r\n                        \"text\": \"asdasd\",\r\n                        \"nodeId\": \"\",\r\n                        \"componentType\": \"\",\r\n                        \"intentId\": \"\",\r\n                        \"nodeName\": \"\",\r\n                        \"intentType\": \"\",\r\n                        \"taskId\": \"\",\r\n                        \"dialogName\": \"\",\r\n                        \"transitions\": [],\r\n                        \"transitionNodeNames\": [],\r\n                        \"transitionNodeType\": [],\r\n                        \"assertions\": {\r\n                            \"flowLevel\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            },\r\n                            \"text\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"text\": \"asdasd\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"context\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            }\r\n                        }\r\n                    }\r\n                ],\r\n                \"event\": \"Start_Flow\",\r\n                \"requestId\": \"ctr-8xxxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxx0\",\r\n                \"nlpVersion\": \"v3\",\r\n                \"status\": \"passed\"\r\n            },\r\n            {\r\n                \"actualOutput\": [\r\n                    {\r\n                        \"text\": \"{\\\"type\\\":\\\"template\\\",\\\"payload\\\":{\\\"template_type\\\":\\\"quick_replies\\\",\\\"text\\\":\\\"Sorry! We are unable to detect the language. Please choose one of the below languages :\\\\n\\\",\\\"quick_replies\\\":[{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"English\\\",\\\"payload\\\":\\\"English\\\"},{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"Deutsch\\\",\\\"payload\\\":\\\"Deutsch\\\"}]}}\",\r\n                        \"category\": \"Confirmation\",\r\n                        \"isStandardResponse\": true,\r\n                        \"userPrompts\": [],\r\n                        \"assertions\": {\r\n                            \"flowLevel\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"nodeId\": \"Confirmation\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"text\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"text\": \"{\\\"type\\\":\\\"template\\\",\\\"payload\\\":{\\\"template_type\\\":\\\"quick_replies\\\",\\\"text\\\":\\\"Sorry! We are unable to detect the language. Please choose one of the below languages :\\\\n\\\",\\\"quick_replies\\\":[{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"English\\\",\\\"payload\\\":\\\"English\\\"},{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"Deutsch\\\",\\\"payload\\\":\\\"Deutsch\\\"}]}}\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"context\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            }\r\n                        }\r\n                    }\r\n                ],\r\n                \"intents\": [],\r\n                \"faqs\": [],\r\n                \"smalltalk\": [],\r\n                \"input\": \"help\",\r\n                \"outputs\": [\r\n                    {\r\n                        \"text\": \"{\\\"type\\\":\\\"template\\\",\\\"payload\\\":{\\\"template_type\\\":\\\"quick_replies\\\",\\\"text\\\":\\\"Sorry! We are unable to detect the language. Please choose one of the below languages :\\\\n\\\",\\\"quick_replies\\\":[{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"English\\\",\\\"payload\\\":\\\"English\\\"},{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"Deutsch\\\",\\\"payload\\\":\\\"Deutsch\\\"}]}}\",\r\n                        \"category\": \"Confirmation\",\r\n                        \"isStandardResponse\": true,\r\n                        \"userPrompts\": [],\r\n                        \"assertions\": {\r\n                            \"flowLevel\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"nodeId\": \"Confirmation\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"text\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"text\": \"{\\\"type\\\":\\\"template\\\",\\\"payload\\\":{\\\"template_type\\\":\\\"quick_replies\\\",\\\"text\\\":\\\"Sorry! We are unable to detect the language. Please choose one of the below languages :\\\\n\\\",\\\"quick_replies\\\":[{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"English\\\",\\\"payload\\\":\\\"English\\\"},{\\\"content_type\\\":\\\"text\\\",\\\"title\\\":\\\"Deutsch\\\",\\\"payload\\\":\\\"Deutsch\\\"}]}}\",\r\n                                        \"status\": \"passed\"\r\n                                    }\r\n                                ],\r\n                                \"status\": \"passed\"\r\n                            },\r\n                            \"context\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            }\r\n                        },\r\n                        \"textMismatch\": true\r\n                    }\r\n                ],\r\n                \"requestId\": \"ctr-8xxxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxx1\",\r\n                \"nlpVersion\": \"v3\",\r\n                \"status\": \"passed\"\r\n            }\r\n            ......................................................................................\r\n        ],\r\n        \"duration\": 14364\r\n    },\r\n    \"percentageCompleted\": 100\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the status of the Conversation Test Suite Execution request against a unique testSuiteId if the request is in progress, and provide the download link for the results file after the test execution is complete. Method GET Endpoint https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/:testSuiteName\/:testRunId\/status Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope...","protected":false},"author":21,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-58952","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58952","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/21"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=58952"}],"version-history":[{"count":4,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58952\/revisions"}],"predecessor-version":[{"id":59761,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58952\/revisions\/59761"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=58952"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=58952"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=58952"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}